Re: unable to compile... DLKM Modules -> HP-UX 11.11 (315 Views)
Reply
Occasional Contributor
CA943761
Posts: 1
Registered: ‎03-28-2003
Message 1 of 2 (315 Views)

unable to compile... DLKM Modules -> HP-UX 11.11

Hi,
I wrote a DLKM Streams module in HP-UX 11.11. When I use the kminstall, config, & kmupdate tools, it generates the following error message. The same module works in another HP-UX 11.11. I think there must be some kernel param setting or patchs to fix this problem. Is there any one to give solution for this problem.

kminstall -a mymodule
# config -M mymodule
Generating module: mymodule...
/usr/ccs/bin/ld: /stand/build/mod_wk.d/mymodule/mod_conf.o: Mismatched ABI. 64-bit PA object file found in 32-bit link.
*** Error exit code 1

Stop.
config: make did an exit(1)


rgds,
Hari
One is not defeated when he fails, he is defeated when he quits!!
Honored Contributor
Robert-Jan Goossens
Posts: 7,384
Registered: ‎04-04-2000
Message 2 of 2 (315 Views)

Re: unable to compile... DLKM Modules -> HP-UX 11.11

Hi Hari,

Could you check both servers,

# getconf KERNEL_BITS

if you are running 64 bit OS on both servers and,

# getconf HW_32_64_CAPABLE

Hope it helps,

Robert-Jan.

The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.